/* ---------- selector function start ---------- */
selectorClass = (selector) => {
    return document.querySelector(selector);
};

selectorClassAll = (selector) => {
    return document.querySelectorAll(selector);
};
/* ---------- selector function end ---------- */

/* ---------- gsap start ---------- */
let tl = gsap.timeline();

gsapLoginAndSignup = (selector1, selector2, selector3) => {
    tl.from(selector1, {
        y: 60,
        duration: 0.4,
        ease: 'power2.out',
    });
    tl.from(selector2, {
        y: 30,
        opacity: 0,
        ease: 'power2.out',
    });
    tl.from(selector3, {
        y: 30,
        opacity: 0,
        ease: 'power2.out',
    });
};

fabCal = (selector1) => {
    tl.from(selector1, {
        opacity: 0,
        overflow: 'hidden',
        scrub: 1,
    });
};

homeOverlay = (selector1, selector2, selector3, selector4) => {
    tl.from(selector1, {
        y: 50,
        opacity: 0,
    });
    tl.from(selector2, {
        height: 0,
    });
    tl.from(selector3, {
        height: 0,
    });
    tl.from(selector4, {
        height: 0,
    });
};

/* ---------- gsap end ---------- */
if (selectorClass('.one-toggle')) {
    selectorClass('.one-toggle').addEventListener('click', () => {
        selectorClass('.ui-fab-cal-form4').classList.toggle('active');
    });
}

/* ---------- home 01 left overlay start ---------- */
homeOverlay(
    selectorClass('.ui-home-overlay-four'),
    selectorClass('.ui-home-overlay-one'),
    selectorClass('.ui-home-overlay-two'),
    selectorClass('.ui-home-overlay-three')
);
/* ---------- home 01 left overlay end ---------- */

/* ---------- dimensions & product start ---------- */
if (selectorClass('.ui-product-btn')) {
    selectorClass('.ui-product-btn').addEventListener('click', () => {
        let x = selectorClassAll('.ui-dimensions-input');
        x.forEach((e) => {
            e.style.display = 'none';
        });
        selectorClass('.ui-bulk-lookup').style.display = 'block';
        selectorClass('.ui-dimensions-btn').classList.remove('active');
        selectorClass('.ui-product-btn').classList.add('active');
    });
}
if (selectorClass('.ui-dimensions-btn')) {
    selectorClass('.ui-dimensions-btn').addEventListener('click', () => {
        let x = selectorClassAll('.ui-dimensions-input');
        x.forEach((e) => {
            e.style.display = 'flex';
        });
        selectorClass('.ui-bulk-lookup').style.display = 'none';
        selectorClass('.ui-product-btn').classList.remove('active');
        selectorClass('.ui-dimensions-btn').classList.add('active');
    });
}
if (selectorClass('[data-bulk="bulk"]')) {
    selectorClass('[data-bulk="bulk"]').addEventListener('click', () => {
        selectorClass('[data-signle="signle"').style.display = 'block';
        selectorClass('[data-bulk="bulk"]').style.display = 'none';
        selectorClass('.ui-home-right-input-bulk').style.display = 'none';
        selectorClass('.ui-home-right-input-text-area').style.display = 'block';
    });
}
if (selectorClass('[data-signle="signle"]')) {
    selectorClass('[data-signle="signle"]').addEventListener('click', () => {
        selectorClass('[data-signle="signle"').style.display = 'none';
        selectorClass('[data-bulk="bulk"]').style.display = 'block';
        selectorClass('.ui-home-right-input-bulk').style.display = 'block';
        selectorClass('.ui-home-right-input-text-area').style.display = 'none';
    });
}

/* ---------- dimensions & product end ---------- */

/* ---------- login & signup start ---------- */
if (selectorClass('.ui-signup-btn-link')) {
    selectorClass('.ui-signup-btn-link').addEventListener('click', () => {
        selectorClass('.ui-signup-btn-link').style.display = 'none';
        selectorClass('.ui-login-singup-txt').textContent = 'Sign Up';
        selectorClass('.ui-login-btn-link').style.display = 'inline-block';
        selectorClass('.ui-login-btn').textContent = 'Sign Up';
        selectorClassAll('.ui-signup-form-input').forEach((e) => {
            e.style.display = 'block';
        });
        selectorClass('.ui-login-form-check').style.display = 'none';
        selectorClass('.ui-login-form-content').style.padding = '50px 140px';
    });
}

if (selectorClass('.ui-login-btn-link')) {
    selectorClass('.ui-login-btn-link').addEventListener('click', () => {
        selectorClass('.ui-signup-btn-link').style.display = 'inline-block';
        selectorClass('.ui-login-btn-link').style.display = 'none';
        selectorClass('.ui-login-singup-txt').textContent = 'Login';
        selectorClass('.ui-login-btn').textContent = 'Login';
        selectorClassAll('.ui-signup-form-input').forEach((e) => {
            e.style.display = 'none';
        });
        selectorClass('.ui-login-form-check').style.display = 'flex';
        selectorClass('.ui-login-form-content').style.padding = '90px 140px';
    });
}

if (selectorClass('.ui-home-right-login-btn')) {
    selectorClass('.ui-home-right-login-btn').addEventListener('click', () => {
        selectorClass('.ui-login-form-overlay-box').style.display = 'block';
        gsapLoginAndSignup(
            '.ui-login-form-overlay',
            '.ui-form-left-head-txt',
            '.ui-form-left-list'
        );
        if (selectorClass('.ui-home-box')) {
            selectorClass('.ui-home-box').classList.add('active');
        }
    });
}

/* ---------- login & signup end ---------- */

/* ---------- result page start ----------*/
// if (selectorClass('.ui-fab-cal-text ul')) {
//     if (selectorClass('.ui-open')) {
//         selectorClass('.ui-open').style.display = 'flex';
//     }
//     selectorClassAll('.ui-fab-cal-text ul').forEach((e) => {
//         e.addEventListener('click', () => {
//             selectorClassAll('.ui-fab-cal-text ul').forEach((none) => {
//                 let x = none.parentElement.nextElementSibling;
//                 x.classList.remove('active');
//                 if (selectorClass('.ui-open')) {
//                     selectorClass('.ui-open').style.display = 'none';
//                 }
//             });
//             let x = e.parentElement.nextElementSibling;
//             x.classList.add('active');
//         });
//     });
// }
/* ---------- result page end ----------*/

/* ---------- size analyst start ---------- */
if (selectorClass('.ui-profit-cost-btn')) {
    selectorClass('.ui-profit-cost-btn').addEventListener('click', () => {
        selectorClass('.ui-profit-cost-box').classList.add('active');
        selectorClass('.ui-size-analyst-box').style.display = 'none';
        selectorClass('.ui-size-analyst-btn').classList.remove('active');
        selectorClass('.ui-profit-cost-btn').classList.add('active');
        selectorClass('.ui-profit-cost-footer-main').classList.add('active');

        selectorClass('.ui-cost-analyst-tab').classList.add('active');
        selectorClass('.ui-fba-analyst-tab').classList.add('active');

        // selectorClass('.ui-collapse-01').classList.add('order-2')
        // selectorClass('.ui-collapse-02').classList.add('order-1')
    });

    selectorClass('.ui-size-analyst-btn').addEventListener('click', () => {
        selectorClass('.ui-profit-cost-box').classList.remove('active');
        selectorClass('.ui-size-analyst-box').style.display = 'block';
        selectorClass('.ui-size-analyst-btn').classList.add('active');
        selectorClass('.ui-profit-cost-btn').classList.remove('active');
        selectorClass('.ui-profit-cost-footer-main').classList.remove('active');

        selectorClass('.ui-cost-analyst-tab').classList.remove('active');
        selectorClass('.ui-fba-analyst-tab').classList.remove('active');

        // selectorClass('.ui-collapse-01').classList.remove('order-2')
        // selectorClass('.ui-collapse-02').classList.remove('order-1')
    });
}

if (selectorClass('.ui-setting-icon-01')) {
    selectorClass('.ui-setting-icon-01').addEventListener('click', () => {
        selectorClass('.ui-result-page-left').classList.add('active');
        selectorClass('.ui-result-page-right').style.display = 'none';
    });
}

if (selectorClass('.ui-setting-icon-02')) {
    selectorClass('.ui-setting-icon-02').addEventListener('click', () => {
        selectorClass('.ui-result-page-left').classList.remove('active');
        selectorClass('.ui-setting-icon-02').classList.remove('active');
        selectorClass('.ui-setting-icon-01').classList.remove('active');
        selectorClass('.ui-result-page-right').style.display = 'block';
    });
}

if (selectorClass('.ui-collapse-head-01')) {
    selectorClass('.ui-collapse-head-01').addEventListener('click', () => {
        if (selectorClass('.ui-fba-analyst-tab').classList.contains('active')) {
            selectorClass('.ui-fba-analyst-tab').classList.remove('active');
        } else {
            selectorClass('.ui-fba-analyst-tab').classList.add('active');
        }
    });
}

if (selectorClass('.ui-collapse-head-02')) {
    selectorClass('.ui-collapse-head-02').addEventListener('click', () => {
        if (
            selectorClass('.ui-cost-analyst-tab').classList.contains('active')
        ) {
            selectorClass('.ui-cost-analyst-tab').classList.remove('active');
        } else {
            selectorClass('.ui-cost-analyst-tab').classList.add('active');
        }
    });
}

/* ---------- size analyst end ---------- */

/* ---------- result page 04 start ---------- */

if (selectorClass('.ui-fba-cal-btn') || selectorClass('.ui-size-cal-btn')) {
    selectorClass('.ui-fba-cal-btn').addEventListener('click', () => {
        selectorClass('.ui-fba-cal-btn').classList.add('active');
        selectorClass('.ui-size-cal-btn').classList.remove('active');
        selectorClass('.ui-table-01').style.display = 'flex';
        selectorClass('.ui-table-02').classList.remove('active');
        if (selectorClass('.ui-filter-btn-02').classList.contains('active')) {
            selectorClass('.ui-page-01').classList.remove('active');
            selectorClass('.ui-table-02').classList.remove('active');
            selectorClass('.ui-page-01').classList.add('active');
            selectorClass('.ui-table-01').style.display = 'none';
            selectorClass('.ui-page-02').classList.remove('active');
        }
    });

    selectorClass('.ui-size-cal-btn').addEventListener('click', () => {
        selectorClass('.ui-fba-cal-btn').classList.remove('active');
        selectorClass('.ui-size-cal-btn').classList.add('active');
        selectorClass('.ui-table-01').style.display = 'none';
        selectorClass('.ui-table-02').classList.add('active');
        if (selectorClass('.ui-filter-btn-02').classList.contains('active')) {
            selectorClass('.ui-page-01').classList.remove('active');
            selectorClass('.ui-table-02').classList.remove('active');
            selectorClass('.ui-page-02').classList.add('active');
        }
    });

    selectorClass('.ui-filter-btn-01').addEventListener('click', () => {
        selectorClass('.ui-filter-btn-01').classList.add('active');
        selectorClass('.ui-filter-btn-02').classList.remove('active');
        if (selectorClass('.ui-fba-cal-btn').classList.contains('active')) {
            selectorClass('.ui-table-01').style.display = 'flex';
            selectorClass('.ui-page-01').classList.remove('active');
        }
        if (selectorClass('.ui-size-cal-btn').classList.contains('active')) {
            selectorClass('.ui-table-02').classList.add('active');
            selectorClass('.ui-page-02').classList.remove('active');
        }
    });

    selectorClass('.ui-filter-btn-02').addEventListener('click', () => {
        selectorClass('.ui-filter-btn-01').classList.remove('active');
        selectorClass('.ui-filter-btn-02').classList.add('active');
        if (selectorClass('.ui-fba-cal-btn').classList.contains('active')) {
            selectorClass('.ui-table-01').style.display = 'none';
            selectorClass('.ui-page-01').classList.add('active');
        }

        if (selectorClass('.ui-size-cal-btn').classList.contains('active')) {
            selectorClass('.ui-table-02').classList.remove('active');
            selectorClass('.ui-page-02').classList.add('active');
        }
    });
}

/* ---------- result page 04 end ---------- */

/* ---------- profile card start ---------- */
if (selectorClassAll('.ui-profile-compared-collapse ul')) {
    selectorClassAll('.ui-profile-compared-collapse ul').forEach((e) => {
        e.addEventListener('click', () => {
            let x = e.nextElementSibling;
            x.classList.toggle('active');
        });
    });
}
/* ---------- profile card end ---------- */

/* ---------- saved Label & asin tab start ---------- */
if (selectorClass('.ui-asins-btn') || selectorClass('.ui-saved-label-btn')) {
    selectorClass('.ui-asins-btn').addEventListener('click', () => {
        selectorClass('.ui-saved-label-box').style.display = 'none';
        selectorClass('.ui-asins-box').style.display = 'flex';
        selectorClass('.ui-saved-label-btn').classList.remove('active');
        selectorClass('.ui-asins-btn').classList.add('active');
        selectorClass('.ui-profile-link-txt').textContent =
            'My Product Research';
    });

    selectorClass('.ui-saved-label-btn').addEventListener('click', () => {
        selectorClass('.ui-saved-label-box').style.display = 'flex';
        selectorClass('.ui-asins-box').style.display = 'none';
        selectorClass('.ui-saved-label-btn').classList.add('active');
        selectorClass('.ui-asins-btn').classList.remove('active');
        selectorClass('.ui-profile-link-txt').textContent = 'Projects';
    });
}
/* ---------- saved Label & asin tab end ---------- */

if (selectorClass('.password-hide-show a')) {
    selectorClass('.password-hide-show a').addEventListener('click', () => {
        let x = selectorClass('.password-hide-show .form-control');
        if (x.getAttribute('type') == 'password') {
            x.setAttribute('type', 'text');
            selectorClass('.password-hide-show a i').setAttribute(
                'class',
                'fas fa-eye-slash'
            );
            console.log(selectorClass('.password-hide-show a i'));
        } else {
            selectorClass('.password-hide-show a i').setAttribute(
                'class',
                'fas fa-eye'
            );
            x.setAttribute('type', 'password');
        }
    });
}

/* ---------- outside click then modal hide start ---------- */
window.onclick = (e) => {
    if (e.target.className == 'ui-login-form-overlay-box') {
        if (selectorClass('.ui-home-box')) {
            selectorClass('.ui-home-box').classList.remove('active');
        }
        selectorClass('.ui-login-form-overlay-box').style.display = 'none';
    }
};
/* ---------- outside click then modal hide end ---------- */
